Bug 168189 - Review Request: gtk+extra - A library of gtk+ widgets
Review Request: gtk+extra - A library of gtk+ widgets
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
http://www.dattalo.com/gnupic/gpsim.html
:
Depends On:
Blocks: FE-ACCEPT 168190
  Show dependency treegraph
 
Reported: 2005-09-13 07:54 EDT by Alain Portal
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-22 06:23:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)
Specfile patch to correct the problems mentioned in comment #1 (2.40 KB, patch)
2005-09-14 22:01 EDT, Jose Pedro Oliveira
no flags Details | Diff

  None (edit)
Description Alain Portal 2005-09-13 07:54:59 EDT
Spec Name or Url: http://linuxelectronique.free.fr/download/fedora/4/SPECS/gtk+extra.spec
SRPM Name or Url: http://linuxelectronique.free.fr/download/fedora/4/SRPMS/gtk+extra-1.1.0-2.src.rpm
Description: A library of dynamically linked gtk+ widgets including:
GtkSheet, GtkPlot, and GtkIconList

This package is needed by gpsim.
Comment 1 Jose Pedro Oliveira 2005-09-14 21:53:03 EDT
Alain,

A couple of things that need to be fixed:

* the BR is wrong. the BR should be gtk2-devel. 

  output of configure
  -------------------
  ...
  checking for GTK+ - version >= 1.3.13... yes (version 2.4.14)
  checking for pkg-config... (cached) /usr/bin/pkg-config
  checking for GLIB - version >= 1.3.13... yes (version 2.4.8)
  checking for gtk+-2.0 >= 1.3.13... yes
  ...


  and the following mail
  ----------------------
http://www.linuxhacker.org/cgi-bin/ezmlm-cgi?1:mss:3641:200412:lecfjpaammlnkeekfboj

  Note: glib2-devel gets pulled by gtk2-devel

* the gtk+extras-devel package should require the gtk2-devel
  (includes <gtk/gtk.h>)

* exclude the .la file

* lots of documentation missing
 
/jpo
Comment 2 Jose Pedro Oliveira 2005-09-14 22:01:31 EDT
Created attachment 118831 [details]
Specfile patch to correct the problems mentioned in comment #1

Changelog:
* corrects the problems mentioned in comment #1
* most of the documentation is in DOS format
  (converts docs with line terminations "\r\n" to "\n")
* also moved a couple of ChangeLog files from the main packaged
  to the devel one (appears to make more sense)
* reformats a couple of lines (non-critical)
Comment 3 Alain Portal 2005-09-15 04:07:00 EDT
Jose,    
Thanks for reviewing, and of course for the patch (fully applied).   
   
%changelog   
* Thu Sep 15 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 1.1.0-3   
  - BuildRequires is gtk2-devel, not gtk+-devel   
  - Add Requires gtk2-devel for package devel   
  - Exclude .la files   
  - Add a lot of documentation   
  - Move gtk*.ChangeLog in devel package   
  - Convert DOS format end-of-line to Unix-like format   
  - Contributions of Jose Pedro Oliveira <jpo[AT]di[DOT]uminho[DOT]pt>   
    Thanks to him.   
   
Spec Name or Url:  
http://linuxelectronique.free.fr/download/fedora/4/SPECS/gtk+extra.spec  
SRPM Name or Url: 
http://linuxelectronique.free.fr/download/fedora/4/SRPMS/gtk+extra-1.1.0-3.src.rpm 
Comment 4 Jose Pedro Oliveira 2005-09-15 07:35:31 EDT
APPROVED

MD5SUMS:
f326a2710e09247104de18da1d0a207d  gtk+extra-1.1.0-3.src.rpm

886bbd0c54d59a9159df097c125f54cd  gtk+extra-1.1.0.tar.gz
8009a2731dc7511a95e30b78abe555f2  gtk+extra.spec


Good:
* Tarball MD5 digest verified against upstream copy
* URL and Source url are valid
* License text file included
* Builds without problems in FC-3
* Builds without problems in mock (FC-4)
* no rpmlint output
Comment 5 Jose Pedro Oliveira 2005-09-15 07:36:49 EDT
Alain,

Do you still have CVS access problems? Do you want me to import and build it?

/jpo
Comment 6 Alain Portal 2005-09-15 08:35:27 EDT
I can't access CVS, but I think this is an account problem, I can't change my 
password!!! 
 
So please, import and build. 
 
Your sincerely. 
Alain 
Comment 7 Jose Pedro Oliveira 2005-09-22 06:23:04 EDT
Devel and FC-3 RPMS are already available in the mirrors.
FC-4 RPMS just built.
Comment 8 Alain Portal 2007-07-20 14:34:02 EDT
Package Change Request
======================
Package Name: gtk+extras
Updated Fedora Owners: alain.portal@free.fr

Please, add my home email in comps because I'm on vacation for 6 weeks.
Comment 9 Jens Petersen 2007-07-24 09:59:34 EDT
Added as comaintainer - might be better just to make it initialcc but anyway.

Note You need to log in before you can comment on or make changes to this bug.